创建新布局时切换“打印设置”对话框的显示。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论此属性的初始值为。True 例子工 务 局: Sub Example_LayoutShowPlotSetup() ' This example reads and modifies the preference value that controls ' the display of the Plot Setup dialog when a new layout is created. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadPreferencesDisplay Dim originalValue As Variant, newValue As Variant ' Get the display preferences object Set ACADPref = ThisDrawing.Application.preferences.DISPLAY ' Read and display the original value originalValue = ACADPref.LayoutShowPlotSetup MsgBox "The LayoutShowPlotSetup preference is set to: " & originalValue ' Modify the LayoutShowPlotSetup preference by toggling the value ACADPref.LayoutShowPlotSetup = Not (originalValue) newValue = ACADPref.LayoutShowPlotSetup MsgBox "The LayoutShowPlotSetup preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.LayoutShowPlotSetup = originalValue MsgBox "The LayoutShowPlotSetup preference was reset back to: " & originalValue End Sub Visual LISP: (vl-load-com) (defun c:Example_LayoutShowPlotSetup() ;; This example reads and modifies the preference value that controls ;; the display of the Plot Setup dialog when a new layout is created. ;; When finished, this example resets the preference value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Read and display the original value (setq originalValue (vla-get-LayoutShowPlotSetup (vla-get-Display preferences))) (alert (strcat "The LayoutShowPlotSetup preference is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the LayoutShowPlotSetup preference by toggling the value (vla-put-LayoutShowPlotSetup (vla-get-Display preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-LayoutShowPlotSetup (vla-get-Display preferences))) (alert (strcat "The LayoutShowPlotSetup preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-LayoutShowPlotSetup (vla-get-Display preferences) originalValue) (alert (strcat "The LayoutShowPlotSetup preference was reset back to: " (if (= originalValue :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:27
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.